
import java.awt.event.*;

public class CircleMouseListener implements MouseListener
{
   private final CircleState cs;

   public CircleMouseListener(CircleState cs)
   {
      this.cs = cs;
   }

   @Override
   public void mousePressed (MouseEvent e)
   {
      int xM = e.getX(); // coordinates of the mouse click
      int yM = e.getY();
      int xD = cs.xNew;  // coordinates of the red dot
      int yD = cs.yNew;

      if ( xD <= xM && xM <= xD+cs.diameter
        && yD <= yM && yM <= yD+cs.diameter ) // hit the red dot
      {
         cs.inside = true;
         System.out.println("Inside\n");
      }
      else
      {
         System.out.println("Outside\n");
      }
   }

   @Override
   public void mouseReleased(MouseEvent e)
   {
      cs.inside = false;
      System.out.println(e+"\n");
   }

   @Override
   public void mouseExited  (MouseEvent e)
   {
      cs.inside = false;
      //System.out.println(e+"\n");
   }

   // don't need
   @Override public void mouseEntered (MouseEvent e){}
   @Override public void mouseClicked (MouseEvent e){}
}
